Subject: 23.0.60; frame-notice-user-settings: Font is not defined

From: Stephen Berman <[email-masked]>
Date: Wed, 04 Feb 2009 15:05:45 +0100

Let  ~/.emacs consist of this:

(setq default-frame-alist '((font-backend . "xft") (font . "Dejavu Sans Mono-10")))

Then when I invoke `emacs' it beeps and show this message:

frame-notice-user-settings: Font `-misc-dejavu sans mono-medium-r-normal--12-116-75-75-m-70-iso8859-1' is not defined

Putting point on one of the characters in this message and typing `C-u
C-x =' shows this:

xft:-unknown-DejaVu Sans Mono-normal-normal-normal-*-12-*-*-*-m-0-iso10646-1

When I invoke Emacs like this:

$ emacs -Q -xrm 'Emacs.FontBackend: xft' -fn "Dejavu Sans Mono-10"

or like this:

$ emacs -Q --daemon --eval "(setq default-frame-alist '((font-backend . \"xft\") (font . \"Dejavu Sans Mono-10\")))"
$ emacsclient -c

then Emacs does not beep and there is no undefined font message. Typing
`C-u C-x =' shows the same as above.  (In the last Emacs invocation I
have to use --daemon and `emacsclient -c' because of bug #2021.)

In GNU Emacs 23.0.60.31 (i686-pc-linux-gnu, GTK+ Version 2.14.4)
 of 2009-01-31 on escher
Windowing system distributor `The X.Org Foundation', version 11.0.10502000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t